<div class="modal">
    <button type="button" class="close" (click)="closeModal()">
        <span aria-hidden="true">&times;</span>
    </button>
    <div class="all-in-one-table">
        <elastic-page-header [height]="'100px'" background="url(assets/img/demo/headers/pattern-3.png)"
            [reverse]="true">
        </elastic-page-header>
    </div>
    <h1>Ticket</h1>
</div>
<div class="container">
    <mat-card>
        <div style="text-align: -webkit-center;">
            <table class="default">
                <tr>
                    <td><b>Nombre:</b></td>
                    <td>{{selectedTicketInfo.user.name}}</td>
                </tr>
                <tr>
                    <td><b>Email:</b></td>
                    <td>{{selectedTicketInfo.user.email}}</td>
                    <td rowspan="7">
                        <div class="backgroundImg">
                            <h4 class="titleImg">Imagen del ticket</h4>
                            <img [src]="selectedTicketInfo.picture != 'no-picture'?selectedTicketInfo.picture:'assets/img/demo/settings/sinImagen.jpg'"
                                width="150px" height="200px">
                        </div>
                    </td>
                </tr>
                <tr *ngIf="selectedTicketInfo.user">
                    <td><b>Documento:</b></td>
                    <td>{{selectedTicketInfo.user.idNumber}}</td>
                </tr>
                <tr *ngIf="selectedTicketInfo.trip">
                    <td><b>Estado de viaje:</b></td>
                    <td>{{selectedTicketInfo.trip.state}}</td>
                </tr>
                <tr *ngIf="selectedTicketInfo.trip && selectedTicketInfo.trip.startStation">
                    <td><b>Estación de inicio:</b></td>
                    <td>{{selectedTicketInfo.trip.startStation}}</td>
                </tr>
                <tr *ngIf="selectedTicketInfo.trip && selectedTicketInfo.trip.endStation">
                    <td><b>Estación final:</b></td>
                    <td>{{selectedTicketInfo.trip.endStation}}</td>
                </tr>
                <tr *ngIf="selectedTicketInfo.trip">
                    <td><b>Número de bicicleta:</b></td>
                    <td>{{selectedTicketInfo.trip.bike.number}}</td>
                </tr>
                <tr *ngIf="selectedTicketInfo.trip">
                    <td><b>IMEI Candado:</b></td>
                    <td>{{selectedTicketInfo.trip.bike.lock.imei}}</td>
                </tr>
                <tr>
                    <td><b>Tipo de problema:</b></td>
                    <td>{{selectedTicketInfo.type}}</td>
                </tr>
                <tr>
                    <td><b>Descripción:</b></td>
                    <td>{{selectedTicketInfo.description}}</td>
                </tr>
                <tr>
                    <td><b>Estado del ticket:</b></td>
                    <td>
                        <div>
                            <mat-form-field appearance="fill">
                                <mat-select [formControl]="stateTicket">
                                    <mat-option *ngFor='let masterListTicket of masterListTickets'
                                        [value]="masterListTicket.value">
                                        {{masterListTicket.value == 'created'? 'Creado': masterListTicket.value ==
                                        'solved'?'Solucionado': 'Error'}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                    </td>
                </tr>
            </table>
        </div>

        <form action="">
            <div class="example-button-row">
                <button mat-raised-button color="primary" (click)="closeModal()">Cancel</button>
                <button class="marginButton" mat-raised-button color="primary" (click)="submit()">Cambiar
                    estado</button>
            </div>
        </form>

    </mat-card>
</div>